Regenerate Oidc Relying Party Secret

Regenerate Oidc Relying Party Secret
Regenerate the client secret of an OIDC relying party.

Regenerates the client secret of an OIDC relying party.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}/regenerateSecret
COPY
Path Parameters
string
id
Required

OIDC relying party's ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns OidcRelyingParty of type(s) application/json;version=9.1.0
{
    "id": "string",
    "clientId": "string",
    "clientName": "string",
    "clientSecret": "string",
    "redirectUris": [
        "string"
    ],
    "scope": [
        "string"
    ],
    "isPublic": false,
    "isPkceEnabled": false
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/openIdProvider/relyingParties/{id}/regenerateSecret